TinyMCE が制限ユーザーで使用できない  【解決済み】

質問全般・改善要望
kysnm
メンバー
メンバー
記事: 8
登録日時: 2010年9月29日(水) 18:14

TinyMCE が制限ユーザーで使用できない

投稿記事by kysnm » 2010年9月29日(水) 18:36

お世話になります。業務上で modx を利用しておりますが、制限ユーザーで TinyMCE が利用できない現象が発生して
おり困っています。
modx のバージョンは1.0.4J-r1 から 1.0.4J-r2 にアップデートしましたが、現象は変わらずです。

他にリビジョンなし 1.0.4J で正常に動作しているサイトがあり、ユーザー管理、ロール管理とも比較してみましたが、
特に設定上異なるところは見つけられませんでした。

どなたか他に確認すべき点などご教授いただけないでしょうか?

以上、よろしくお願いいたします。
soushi
管理人
記事: 224
登録日時: 2009年7月30日(木) 01:59

Re: TinyMCE が制限ユーザーで使用できない

投稿記事by soushi » 2010年9月30日(木) 03:47

soushiです。

modxのデモサイトがあるので、そちらで同じ設定を行ってみたらどうでしょうか。

http://demo.modxcms-jp.com/manager/
※毎時5分に設定がすべて初期化されます。タイミングにお気をつけください。
※バージョンは最新の1.0.4J-r2です。

ここで症状が再現できそうでしたら、その手順を示していただけると調査できるかもしれません。

ちなみにユーザ管理のユーザの設定部分でも「使用エディター」の設定項目があります。
こちらも確認してみるといいかもしれません :)
kysnm
メンバー
メンバー
記事: 8
登録日時: 2010年9月29日(水) 18:14

Re: TinyMCE が制限ユーザーで使用できない

投稿記事by kysnm » 2010年9月30日(木) 10:18

>modxのデモサイトがあるので、そちらで同じ設定を行ってみたらどうでしょうか。

ご返信ありがとうございます。
そうですね、現状では判断する為の材料が少なすぎますよね。
ご教授の方法を含め、もう少し調べてみます。

>ちなみにユーザ管理のユーザの設定部分でも「使用エディター」の設定項目があります。

これは変更したりしてみたのですが現象は変わらずでした。
kysnm
メンバー
メンバー
記事: 8
登録日時: 2010年9月29日(水) 18:14

Re: TinyMCE が制限ユーザーで使用できない

投稿記事by kysnm » 2010年9月30日(木) 13:29

解決いたしましたのでご報告いたします。

ユーザー管理で該当ユーザーの「詳細設定」-「カスタムテーマのプラグイン設定:」を以下の様に変更する事で
解決いたしました。

save,advlist,clearfloat,style,fullscreen,advimage,paste,advlink,media,contextmenu,table

table,style,advimage,advlink,searchreplace,contextmenu,paste,fullscreen,media


テンプレートに利用している modx が 1.0.2J → 1.0.4J-r1 にバージョンアップしたものなのでその辺に原因が
あるのでしょうか、、、 :|
kysnm
メンバー
メンバー
記事: 8
登録日時: 2010年9月29日(水) 18:14

Re: TinyMCE が制限ユーザーで使用できない  【解決済み】

投稿記事by kysnm » 2010年10月04日(月) 18:49

説明不足でしたので状況を整理します。

modx を 1.0.2J から1.0.4J-r1 にバージョンアップ。

もともとの設定は以下の通り

[ツール]-[グローバル設定]-[インターフェイスとその他の機能]

[テーマ]
カスタム

[カスタムテーマのプラグイン設定]
"table,style,advimage,advlink,searchreplace,contextmenu,paste,fullscreen,nonbreaking,visualchars,media"
(おそらく意図して変更しているが、前任者が変更している為詳細は不明)
(バージョンアップ後に nonbreaking,visualchars, は削除)

[ユーザー]-[ユーザー管理]-[ユーザーの作成/編集]-[詳細設定]

[テーマ]
グローバル設定を利用

[カスタムテーマのプラグイン設定]
save,advlist,clearfloat,style,fullscreen,advimage,paste,advlink,media,contextmenu,table
(modx デモサイトと同じなのでデフォルトのままかと思われます)

となっておりまして、バージョンアップ後から TinyMCE が正常に動かない現象が発生しました。

最終的に
[ユーザー]-[ユーザー管理]-[ユーザーの作成/編集]-[詳細設定] の [カスタムテーマのプラグイン設定]
を一旦削除し保存することで正常に戻りました。
(値を削除しても modx によって同じ値が入力されます)